package com.jeesharp.business.modules.pay.exception;

/**
 * 支付业务异常。
 *
 * @author jeesharp
 * @since 2026-05-25
 */
public class PayException extends RuntimeException {

    private final Integer code;

    public PayException(String message) {
        super(message);
        this.code = null;
    }

    public PayException(Integer code, String message) {
        super(message);
        this.code = code;
    }

    public PayException(String message, Throwable cause) {
        super(message, cause);
        this.code = null;
    }

    public Integer getCode() {
        return code;
    }
}
